# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/blobtk, last modified Tue Jun 24 06:18:31 2025
# ------------------------------------------------

package:
  name: blobtk
  version: 0.7.1
source:
  sha256: 20cd3c5e9b8cb60e76d29ee241629f8c751eb49ac66e93adf72fa92ba8f9615e
  url: https://github.com/genomehubs/blobtk/archive/0.7.1.tar.gz
build:
  number: '0'
  run_exports:
    - blobtk >=0.7.1,<0.8.0a0
  string: py312h4ba5693_0
requirements:
  build:
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.34.5 hf13058a_0
    - ca-certificates 2025.6.15 hbd8a1cb_0
    - cctools_osx-64 1010.6 hd19c6af_6
    - clang 18.1.8 default_h576c50e_10
    - clang-18 18.1.8 default_h3571c67_10
    - clang-format 18.1.8 default_h3571c67_10
    - clang-format-18 18.1.8 default_h3571c67_10
    - clang-tools 18.1.8 default_h3571c67_10
    - clang_impl_osx-64 18.1.8 h6a44ed1_25
    - clang_osx-64 18.1.8 h7e5c614_25
    - clangdev 18.1.8 default_h3571c67_10
    - clangxx 18.1.8 default_heb2e8d1_10
    - cmake 4.0.3 h477996e_0
    - compiler-rt 18.1.8 h1020d70_1
    - compiler-rt_osx-64 18.1.8 hf2b8a54_1
    - icu 75.1 h120a0e1_0
    - krb5 1.21.3 h37d8d59_0
    - ld64_osx-64 951.9 h33512f0_6
    - libclang 18.1.8 default_h3571c67_10
    - libclang-cpp 18.1.8 default_h3571c67_10
    - libclang-cpp18.1 18.1.8 default_h3571c67_10
    - libclang13 18.1.8 default_hf2b7afa_10
    - libcurl 8.14.1 h5dec5d8_0
    - libcxx 20.1.7 hf95d169_0
    - libcxx-devel 18.1.8 h7c275be_8
    - libedit 3.1.20250104 pl5321ha958ccf_0
    - libev 4.33 h10d778d_2
    - libexpat 2.7.0 h240833e_0
    - libffi 3.4.6 h281671d_1
    - libiconv 1.18 h4b5e92a_1
    - libllvm18 18.1.8 default_h3571c67_5
    - liblzma 5.8.1 hd471939_2
    - libmpdec 4.0.0 h6e16a3a_0
    - libnghttp2 1.64.0 hc7306c3_0
    - libsqlite 3.50.1 h7cec44d_6
    - libssh2 1.11.1 hed3591d_0
    - libuv 1.51.0 h4cb831e_0
    - libxml2 2.14.4 h8c082e5_0
    - libzlib 1.3.1 hd23fc13_2
    - llvm-tools 18.1.8 default_h3571c67_5
    - llvm-tools-18 18.1.8 default_h3571c67_5
    - llvmdev 18.1.8 default_h3571c67_5
    - llvmlite 0.44.0 py313h07923c2_1
    - macosx_deployment_target_osx-64 14.5 h5d9aa64_2
    - make 4.4.1 h00291cd_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.5.0 hc426f3f_1
    - pkg-config 0.29.2 hf7e621a_1009
    - python 3.13.5 hc3a4c56_102_cp313
    - python_abi 3.13 7_cp313
    - readline 8.2 h7cca4af_2
    - rhash 1.4.6 h6e16a3a_1
    - rust 1.87.0 h34a2095_0
    - rust-std-x86_64-apple-darwin 1.87.0 h38e4360_0
    - rust_osx-64 1.87.0 h4fda349_1
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1300.6.5 h390ca13_0
    - tk 8.6.13 hf689a15_2
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 h8210216_2
  host:
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.34.5 hf13058a_0
    - ca-certificates 2025.6.15 hbd8a1cb_0
    - curl 8.14.1 h5dec5d8_0
    - icu 75.1 h120a0e1_0
    - krb5 1.21.3 h37d8d59_0
    - libasprintf 0.24.1 h27064b9_0
    - libcurl 8.14.1 h5dec5d8_0
    - libcxx 20.1.7 hf95d169_0
    - libedit 3.1.20250104 pl5321ha958ccf_0
    - libev 4.33 h10d778d_2
    - libexpat 2.7.0 h240833e_0
    - libffi 3.4.6 h281671d_1
    - libgettextpo 0.24.1 h27064b9_0
    - libiconv 1.18 h4b5e92a_1
    - libidn2 2.3.8 he8ff88c_0
    - libintl 0.24.1 h27064b9_0
    - liblzma 5.8.1 hd471939_2
    - libnghttp2 1.64.0 hc7306c3_0
    - libsqlite 3.50.1 h7cec44d_6
    - libssh2 1.11.1 hed3591d_0
    - libunistring 0.9.10 h0d85af4_0
    - libzlib 1.3.1 hd23fc13_2
    - maturin 1.9.0 py39h6b6a7c5_0
    - ncurses 6.5 h0622a9a_3
    - openssl 3.5.0 hc426f3f_1
    - pip 25.1.1 pyh8b19718_0
    - python 3.12.11 h9ccd52b_0_cpython
    - readline 8.2 h7cca4af_2
    - setuptools 80.9.0 pyhff2d567_0
    - tk 8.6.13 hf689a15_2
    - tomli 2.2.1 pyhd8ed1ab_1
    - tzdata 2025b h78e105d_0
    - wget 1.21.4 hca547e6_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zlib 1.3.1 hd23fc13_2
    - zstd 1.5.7 h8210216_2
  run:
    - libzlib >=1.3.1,<2.0a0
    - openssl >=3.5.0,<4.0a0
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
  run_constrained:
    - __osx >=10.13
test:
  commands:
    - blobtk --help
  imports:
    - blobtk
about:
  dev_url: https://github.com/genomehubs/blobtk
  doc_url: https://github.com/genomehubs/blobtk/wiki
  home: https://github.com/genomehubs/blobtk
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Core functionality shared across BlobToolKit tools.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
